<?php

    $model = (isset($model)) ? $model : new Arquivos;
    $index = rand();
    $errors = $model->getErrors();

    $mimes = Mimes::model()->findAll();
    $filter = array();
    foreach($mimes as $mime){
        $filter[] = '.'.$mime->extension;
    }
    $filter = implode(', ', $filter);

    $dataMaxSize = "";
    if (isset($maxFileSize)) {
        $dataMaxSize = "data-max-size='{$maxFileSize}'";
    }
?>
<div id="arquivo<?= $index; ?>" class="col-xs-12 col-sm-6 col-md-4 col-lg-3 arquivo_form_container border-box">
    <div class="arquivo_form border-box">
    	<a href="#arquivo<?= $index; ?>" onclick="removerArquivo(<?= $index; ?>)" class="excluir_arquivo">
    		<i class="fa fa-times"></i>
    	</a>

    	<?php if (!empty($model->ARQ_ARQUIVO) && !is_array($model->ARQ_ARQUIVO)) { ?>

        	<label for="ArquivoArquivo<?= $index; ?>">Anexo atual</label>
    		<?= $model->getLink(true); ?>
            <input name="Arquivos[<?= $index; ?>][ARQ_ARQUIVO]" type="hidden" value="<?= $model->ARQ_ARQUIVO; ?>" />
        	<input name="Arquivos[<?= $index; ?>][ARQ_TIPO]" type="hidden" value="<?= $model->ARQ_TIPO; ?>" />

        <?php } else { ?>

        	<label for="ArquivoArquivo<?= $index; ?>" class="<?php if(isset($errors['ARQ_ARQUIVO'])) echo 'error'?>" >
                Arquivo <span class="required">*</span>
            </label>
        	<input name="Arquivos[<?= $index; ?>]" type="file"
                   class="<?php if(isset($errors['ARQ_ARQUIVO'])) echo 'error'; ?>"
                   accept="<?= $filter; ?>"
                   <?= $dataMaxSize; ?>/>
        	<?php
        	    if(isset($errors['ARQ_ARQUIVO']))
        	    	foreach($errors['ARQ_ARQUIVO'] as $erro)
        	    		echo '<div class="errorMessage">'.$erro.'</div>'
    	    ?>
    	<?php } ?>

        <label for="DescricaoArquivo<?= $index; ?>" class="<?php if(isset($errors['ARQ_DESCRICAO'])) echo 'error'; ?>">
            Descri&ccedil;&atilde;o <span class="required">*</span>
        </label>
        <textArea name="Arquivos[<?= $index; ?>][ARQ_DESCRICAO]" id="DescricaoArquivo<?= $index; ?>"
                  class="<?php if(isset($errors['ARQ_DESCRICAO'])) echo 'error'; ?>"><?= $model->ARQ_DESCRICAO; ?></textArea>
        <?php
            if(isset($errors['ARQ_DESCRICAO']))
            	foreach($errors['ARQ_DESCRICAO'] as $erro)
            		echo '<div class="errorMessage">'.$erro.'</div>'
        ?>
    </div>
</div>